javax.mail.search

## Class RecipientStringTerm

- java.lang.Object
- - javax.mail.search.SearchTerm
  - - javax.mail.search.StringTerm
    - - javax.mail.search.AddressStringTerm
      - - javax.mail.search.RecipientStringTerm

- All Implemented Interfaces:
    Serializable

      public final class RecipientStringTerm
      extends AddressStringTerm

  This class implements string comparisons for the Recipient Address headers.

  Note that this class differs from the `RecipientTerm` class in that this class does comparisons on address strings rather than Address objects. The string comparisons are case-insensitive.

  Since:
    JavaMail 1.1
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class javax.mail.search.StringTerm

      `ignoreCase, pattern`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RecipientStringTerm(Message.RecipientType type, String pattern)` Constructor.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)` Equality comparison.
    `Message.RecipientType` | `getRecipientType()` Return the type of recipient to match with.
    `int` | `hashCode()` Compute a hashCode for this object.
    `boolean` | `match(Message msg)` Check whether the address specified in the constructor is a substring of the recipient address of this Message.

    - ### Methods inherited from class javax.mail.search.AddressStringTerm

      `match`

    - ### Methods inherited from class javax.mail.search.StringTerm

      `getIgnoreCase, getPattern, match`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RecipientStringTerm

          public RecipientStringTerm(Message.RecipientType type,
                             String pattern)

      Constructor.
      Parameters:
        `type` - the recipient type
        `pattern` - the address pattern to be compared.

  - ### Method Detail

    - #### getRecipientType

          public Message.RecipientType getRecipientType()

      Return the type of recipient to match with.
      Returns:
        the recipient type

    - #### match

          public boolean match(Message msg)

      Check whether the address specified in the constructor is a substring of the recipient address of this Message.
      Specified by:
        `match` in class `SearchTerm`
      Parameters:
        `msg` - The comparison is applied to this Message's recipient address.
      Returns:
        true if the match succeeds, otherwise false.

    - #### equals

          public boolean equals(Object obj)

      Equality comparison.
      Overrides:
        `equals` in class `AddressStringTerm`

    - #### hashCode

          public int hashCode()

      Compute a hashCode for this object.
      Overrides:
        `hashCode` in class `StringTerm`

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.